# vue-project

This template should help get you started developing with Vue 3 in Vite.

## Recommended IDE Setup

[VSCode](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar) (and disable Vetur) + [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin).

## Customize configuration

See [Vite Configuration Reference](https://vitejs.dev/config/).

## Project Setup

***这是基于docker的项目，对于开发环境要求只需要docker，不需要安装node或npm。***

```sh
./npm install
```

### Compile and Hot-Reload for Development

```sh
./npm run dev
```

### Compile and Minify for Production

```sh
./npm run build
```

### Run web server

```sh
# start server
./run start
# restart
./run restart
# stop
./run stop
```

## 文件说明

|文件|说明|
|---|---|
|docker-compose.yml|docker编排文件，里面可以定义端口、工作目录等|
|docker-entrypoint.sh|可以被映射到容器中的`/usr/local/bin/docker-entrypoint.sh`，定义容器启动后会自动执行的任务|
|docker.conf|其中定义容器名称和镜像版本，`npm`脚本、`run`脚本、`docker-compose.yml`文件都依赖这个文件|
|nginx.conf|可以被映射到容器中的`/usr/local/openresty/nginx/conf/nginx.conf`，容器中nginx服务的配置文件|
|npm|可以执行容器中的npm命令的自动化脚本，使用方法与原生npm一致，不过要在前面加上./，如`./npm run dev`|
|run|用于发布场景的、自动执行容器中的`npm run build`并运行nginx服务，通过`./run start`启动容器服务|
